# Welcome to Jekyll!
#
# This config file is meant for settings that affect your whole blog, values
# which you are expected to set up once and rarely need to edit after that.
# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'jekyll serve'. If you change this file, please restart the server process.

# Site settings
title: plotboilerplate.js
email: info@plotboilerplate.io
description: > # this means to ignore newlines until "baseurl:"
  A lightweight html5/javascript/canvas plotting boilerplate library: plotboilerplate.js.
baseurl: "" # the subpath of your site, e.g. /blog
url: "http://plotboilerplate.io" # the base hostname & protocol for your site
twitter_username: kpplr
github_username:  ikaroskappler
image: /screenshots/preview-image-large.png
date: 2019-03-11


exclude: [
  "*~",
  "#*#",
  "docs_md", # Intermediate jsdoc markdown files are not needed any more
  "Gemfile",
  "Gemfile.lock",
  "gulpfile.js",
  "jsdoc_template/",
  "node_modules",
  "package.json",
  "publish.sh",
  "yarn-error.log",
  "yarn.lock",
  "__partials",
  "__index.original.html"
]

keep_files : [
  "docs"
]

# Build settings
markdown: kramdown

markdown_ext: md
